import { View, Image } from '@tarojs/components'
import React, { useCallback, memo, useEffect, useMemo, useRef, useState } from 'react'
import styles from "../goods/index.module.scss"


export default memo((props: any) => {
    return (
        <View className={styles.itemBox}>
            {
                !props.lab && <>

                    <View className={styles.picBox}>
                        <Image className={styles.pic} mode={'aspectFill'} src={'https://test.cdn.zzfzyc.com/mall/no_img.png'}></Image>
                        <View className={styles.posBox}>{props.data?.product_color_count}色</View>
                    </View>
                </>
            }
            {
                props.lab &&
                <>
                    <View className={styles.leftBox}>
                        <View className={styles.posBox}>{props.data?.product_color_count}色</View>
                    </View>
                </>
            }
            <View className={styles.rightBox}>
                <View className={styles.productName}>{props.data?.code}#{props.data?.name}</View>
                <View className={styles.tips}>{props.data?.component}</View>
                <View className={styles.flexTag}>
                    <View className={styles.tagOne}>{props.data?.width}</View>
                    <View className={styles.tagTwo}>{props.data?.weight_density}</View>
                </View>
            </View>
        </View>
    )
})